/***********************************
name:   date.h    Version: 0.5
author: PE HTL BULME
email:  pe@bulme.at
description:
    Real Time Clock (RTC8563) on HIMBED M0 - LPC11U24 
    class Date inherited from class RTC8563
    Example methode GetDay implemented 
ToDo: 
    implement GetYear, GetMonth;
    Constructor to initialize Date on RTC
    Alarm methode
***********************************/

#include "mbed.h"
#include "const.h"
#include "RTC8563.h"
#include "string"

#ifndef DATE_H
#define DATE_H
class Date : public RTC8563 // Date abgeleitet von RTC8563
{
protected:
    uint8_t bcdToUint(uint8_t const nybbles);   // private Methode
    string toString(uint8_t value);

public:
    Date()  // Standard Konstruktor
    {
    }   
    uint8_t GetDay();   // Methode
    uint8_t GetDay(int value);   // ueberladene Methode
    string GetDay(string str);   // ueberladene Methode
};
#endif